---
title: "Dice API: Search | Perceptlayer"
description: "Search from Dice as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/dice/search
---

[APIs](https://perceptlayer.com/apis) / [Dice](https://perceptlayer.com/apis/dice) / Search

# Dice: Search

Search from Dice as JSON. 1 credit per successful call.

GET `/v1/dice/search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `query` | string | Required | Up to 200 characters |
| `location` | string | Optional | Up to 100 characters |
| `radius` | integer | Optional | Any |
| `employment_type[]` | list of string | Optional | FULLTIME, PARTTIME, CONTRACTS, THIRD\_PARTY |
| `workplace_type[]` | list of string | Optional | Remote, On-Site, Hybrid |
| `posted_date` | string | Optional | ONE, THREE, SEVEN |
| `easy_apply` | boolean | Optional | Any |
| `willing_to_sponsor` | boolean | Optional | Any |
| `page` | integer | Optional | Any |
| `limit` | integer | Optional | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/dice/search?query=python&location=Austin%2C+TX&employment_type[]=FULLTIME&workplace_type[]=Remote&limit=5" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/dice?try=search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
